Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package tasty
  Definition Classes
    tools
- ErasedTypeRef
- Signature
- TastyFlags
- TastyFormat
- TastyHeaderUnpickler
- TastyName
- TastyReader
- TastyRefs
- UnpickleException

c

scala.tools.tasty

# TastyName

###
Companion object TastyName

#### sealed abstract class TastyName extends Product with Serializable

This is a data structure representing semantic names. `TastyName` is the interface that TASTy uses to select members from a type, providing more information than simple strings, such as selecting types over terms, companion module instead of a class, or signals if a term is a default getter. Names can also be a `SignedName`, which is used to select an overloaded method, and pairs a name with a `MethodSignature` with types are represented by `ErasedTypeRef`.

Self Type
  TastyName
Source
  TastyName.scala

Linear Supertypes
java.io.Serializable, Product, Equals, AnyRef, Any
Known Subclasses
DefaultName, ObjectName, PrefixName, QualifiedName, SignedName, SimpleName, SuffixName, TypeName, UniqueName
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TastyName
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def canEqual(that: Any): Boolean
   Definition Classes
     Equals
2.  abstract def productArity: Int
   Definition Classes
     Product
3.  abstract def productElement(n: Int): Any
   Definition Classes
     Product

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TastyName toany2stringadd[TastyName] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TastyName, B)
   Implicit
     This member is added by an implicit conversion from TastyName toArrowAssoc[TastyName] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  final def asSimpleName: SimpleName
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def debug: String

   Debug information about the structure of the name.

10.  final def encoded: String

    The name as as expected by the Scala Reflect SymbolTable

11.  def ensuring(cond: (TastyName) => Boolean, msg: => Any): TastyName
    Implicit
      This member is added by an implicit conversion from TastyName toEnsuring[TastyName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (TastyName) => Boolean): TastyName
    Implicit
      This member is added by an implicit conversion from TastyName toEnsuring[TastyName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): TastyName
    Implicit
      This member is added by an implicit conversion from TastyName toEnsuring[TastyName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): TastyName
    Implicit
      This member is added by an implicit conversion from TastyName toEnsuring[TastyName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TastyName toStringFormat[TastyName] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isConstructorName: Boolean
22.  final def isDefaultName: Boolean
23.  final def isEmpty: Boolean
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def isObjectName: Boolean
26.  final def isSignedConstructor: Boolean
27.  final def isTermName: Boolean
28.  final def isTypeName: Boolean
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  def productElementName(n: Int): String
    Definition Classes
      Product
33.  def productElementNames: Iterator[String]
    Definition Classes
      Product
34.  def productIterator: Iterator[Any]
    Definition Classes
      Product
35.  def productPrefix: String
    Definition Classes
      Product
36.  final def source: String

    The name as represented in source code

37.  final def stripSignedPart: TastyName
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  final def toString(): String
    Definition Classes
      TastyName → AnyRef → Any
40.  final def toTermName: TastyName
41.  final def toTypeName: TypeName
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (TastyName, B)
   Implicit
     This member is added by an implicit conversion from TastyName toArrowAssoc[TastyName] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTastyName to any2stringadd[TastyName]

### Inherited by implicit conversion StringFormat fromTastyName to StringFormat[TastyName]

### Inherited by implicit conversion Ensuring fromTastyName to Ensuring[TastyName]

### Inherited by implicit conversion ArrowAssoc fromTastyName to ArrowAssoc[TastyName]

### Ungrouped